com.ibm.openpages.api.configuration

## Interface IRLSTypeDefinitionRules

-     public interface IRLSTypeDefinitionRules

  Record-level security (RLS) interface that provides access to OpenPages RLSContentTypeRules objects. For more control over the access rights to data, use record-level security. You can create rules (IRLSRules) that govern access permissions (IRLSAccess) to individual objects. A rule can apply to one user, multiple users, or it can apply to one or more groups of users.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFlsRule(IFLSRule rule)` Adds the IFLSRule to this typedefinition.
    `void` | `addRule(IRLSRule rule)` Adds the IRLSRule to this typedefinition.
    `java.util.List<IFLSRule>` | `getFlsRules()` Returns the list of IFLRule applied to a specific TypeDefinition.
    `java.util.List<IRLSRule>` | `getRules()` Returns the list of IRLSRule applied to a specific TypeDefinition.
    `ITypeDefinition` | `getTypeDefinition()` Returns the ITypeDefinition for RLS rules.
    `java.lang.Boolean` | `isEnabled()` Checks if the IRLSRule is enabled.
    `void` | `setEnabled(java.lang.Boolean enabled)` Enables IRLSRule when set to true.
    `void` | `setFLsRules(java.util.List<IFLSRule> rules)` Sets the IFLSRules for a specific TypeDefinition
    `void` | `setRules(java.util.List<IRLSRule> rules)` Sets the IRLSRules for a specific TypeDefinition
    `void` | `setTypeDefinitionId(ITypeDefinition itypedefinition)` Sets the ITypeDefinition on which the RLS rule is applied.

- - ### Method Detail

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Returns the ITypeDefinition for RLS rules.
      Returns:
        ITypeDefinition for RLS rules

    - #### setTypeDefinitionId

          void setTypeDefinitionId(ITypeDefinition itypedefinition)

      Sets the ITypeDefinition on which the RLS rule is applied.
      Parameters:
        `ITypeDefinition` - ITypeDefinition cannot be null

    - #### getRules

          java.util.List<IRLSRule> getRules()

      Returns the list of IRLSRule applied to a specific TypeDefinition.
      Returns:
        list of IRLSRule applied to a specific TypeDefinition

    - #### setRules

          void setRules(java.util.List<IRLSRule> rules)

      Sets the IRLSRules for a specific TypeDefinition
      Parameters:
        `IRLSRule` - rules cannot be null

    - #### addRule

          void addRule(IRLSRule rule)

      Adds the IRLSRule to this typedefinition.
      Parameters:
        `IRLSRule` - rule cannot be null

    - #### getFlsRules

          java.util.List<IFLSRule> getFlsRules()

      Returns the list of IFLRule applied to a specific TypeDefinition.
      Returns:
        list of IFLSRule applied to a specific TypeDefinition

    - #### setFLsRules

          void setFLsRules(java.util.List<IFLSRule> rules)

      Sets the IFLSRules for a specific TypeDefinition
      Parameters:
        `IFLSRule` - rules cannot be null

    - #### addFlsRule

          void addFlsRule(IFLSRule rule)

      Adds the IFLSRule to this typedefinition.
      Parameters:
        `IFLSRule` - rule cannot be null

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Checks if the IRLSRule is enabled.
      Returns:
        true if the rule is enabled, otherwise false

    - #### setEnabled

          void setEnabled(java.lang.Boolean enabled)

      Enables IRLSRule when set to true.
      Parameters:
        `true` - to enable IRLSRule

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.